EventConstants
Date: 2016-06-25

org.osgi.service.blueprint.container

## Class EventConstants

- java.lang.Object
- - org.osgi.service.blueprint.container.EventConstants

-     public class EventConstants
      extends java.lang.Object

  Event property names used in Event Admin events published by a Blueprint Container.

  Each type of event is sent to a different topic:

  `org/osgi/service/blueprint/container/`<event-type>

  where <event-type> can have the values `CREATING`, `CREATED`, `DESTROYING`, `DESTROYED`, `FAILURE`, `GRACE_PERIOD`, or `WAITING`.

  Such events have the following properties:

  - `type`
  - `event`
  - `timestamp`
  - `bundle`
  - `bundle.symbolicName`
  - `bundle.id`
  - `bundle.version`
  - `extender.bundle.symbolicName`
  - `extender.bundle.id`
  - `extender.bundle.version`
  - `dependencies`
  - `cause`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BUNDLE` The Blueprint bundle associated with this event.
    `static java.lang.String` | `BUNDLE_ID` The bundle id of the Blueprint bundle associated with this event.
    `static java.lang.String` | `BUNDLE_SYMBOLICNAME` The bundle symbolic name of the Blueprint bundle associated with this event.
    `static java.lang.String` | `BUNDLE_VERSION` The bundle version of the Blueprint bundle associated with this event.
    `static java.lang.String` | `CAUSE` The cause for a `FAILURE` event.
    `static java.lang.String` | `DEPENDENCIES` The filters identifying the missing dependencies that caused this event for a `FAILURE`, `GRACE_PERIOD`, or `WAITING` event.
    `static java.lang.String` | `EVENT` The `BlueprintEvent` object that caused this event.
    `static java.lang.String` | `EXTENDER_BUNDLE` The Blueprint extender bundle that is generating this event.
    `static java.lang.String` | `EXTENDER_BUNDLE_ID` The bundle id of the Blueprint extender bundle that is generating this event.
    `static java.lang.String` | `EXTENDER_BUNDLE_SYMBOLICNAME` The bundle symbolic of the Blueprint extender bundle that is generating this event.
    `static java.lang.String` | `EXTENDER_BUNDLE_VERSION` The bundle version of the Blueprint extender bundle that is generating this event.
    `static java.lang.String` | `TIMESTAMP` The time the event was created.
    `static java.lang.String` | `TOPIC_BLUEPRINT_EVENTS` Topic prefix for all events issued by the Blueprint Container
    `static java.lang.String` | `TOPIC_CREATED` Topic for Blueprint Container CREATED events
    `static java.lang.String` | `TOPIC_CREATING` Topic for Blueprint Container CREATING events
    `static java.lang.String` | `TOPIC_DESTROYED` Topic for Blueprint Container DESTROYED events
    `static java.lang.String` | `TOPIC_DESTROYING` Topic for Blueprint Container DESTROYING events
    `static java.lang.String` | `TOPIC_FAILURE` Topic for Blueprint Container FAILURE events
    `static java.lang.String` | `TOPIC_GRACE_PERIOD` Topic for Blueprint Container GRACE_PERIOD events
    `static java.lang.String` | `TOPIC_WAITING` Topic for Blueprint Container WAITING events
    `static java.lang.String` | `TYPE` The type of the event that has been issued.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      The type of the event that has been issued. This property is of type `Integer` and can take one of the values defined in `BlueprintEvent`.
      See Also:
        Constant Field Values

    - #### EVENT

          public static final java.lang.String EVENT

      The `BlueprintEvent` object that caused this event. This property is of type `BlueprintEvent`.
      See Also:
        Constant Field Values

    - #### TIMESTAMP

          public static final java.lang.String TIMESTAMP

      The time the event was created. This property is of type `Long`.
      See Also:
        Constant Field Values

    - #### BUNDLE

          public static final java.lang.String BUNDLE

      The Blueprint bundle associated with this event. This property is of type `Bundle`.
      See Also:
        Constant Field Values

    - #### BUNDLE_ID

          public static final java.lang.String BUNDLE_ID

      The bundle id of the Blueprint bundle associated with this event. This property is of type `Long`.
      See Also:
        Constant Field Values

    - #### BUNDLE_SYMBOLICNAME

          public static final java.lang.String BUNDLE_SYMBOLICNAME

      The bundle symbolic name of the Blueprint bundle associated with this event. This property is of type `String`.
      See Also:
        Constant Field Values

    - #### BUNDLE_VERSION

          public static final java.lang.String BUNDLE_VERSION

      The bundle version of the Blueprint bundle associated with this event. This property is of type `Version`.
      See Also:
        Constant Field Values

    - #### EXTENDER_BUNDLE

          public static final java.lang.String EXTENDER_BUNDLE

      The Blueprint extender bundle that is generating this event. This property is of type `Bundle`.
      See Also:
        Constant Field Values

    - #### EXTENDER_BUNDLE_ID

          public static final java.lang.String EXTENDER_BUNDLE_ID

      The bundle id of the Blueprint extender bundle that is generating this event. This property is of type `Long`.
      See Also:
        Constant Field Values

    - #### EXTENDER_BUNDLE_SYMBOLICNAME

          public static final java.lang.String EXTENDER_BUNDLE_SYMBOLICNAME

      The bundle symbolic of the Blueprint extender bundle that is generating this event. This property is of type `String`.
      See Also:
        Constant Field Values

    - #### EXTENDER_BUNDLE_VERSION

          public static final java.lang.String EXTENDER_BUNDLE_VERSION

      The bundle version of the Blueprint extender bundle that is generating this event. This property is of type `Version`.
      See Also:
        Constant Field Values

    - #### DEPENDENCIES

          public static final java.lang.String DEPENDENCIES

      The filters identifying the missing dependencies that caused this event for a `FAILURE`, `GRACE_PERIOD`, or `WAITING` event. This property type is an array of `String`.
      See Also:
        Constant Field Values

    - #### CAUSE

          public static final java.lang.String CAUSE

      The cause for a `FAILURE` event. This property is of type `Throwable`.
      See Also:
        Constant Field Values

    - #### TOPIC_BLUEPRINT_EVENTS

          public static final java.lang.String TOPIC_BLUEPRINT_EVENTS

      Topic prefix for all events issued by the Blueprint Container
      See Also:
        Constant Field Values

    - #### TOPIC_CREATING

          public static final java.lang.String TOPIC_CREATING

      Topic for Blueprint Container CREATING events
      See Also:
        Constant Field Values

    - #### TOPIC_CREATED

          public static final java.lang.String TOPIC_CREATED

      Topic for Blueprint Container CREATED events
      See Also:
        Constant Field Values

    - #### TOPIC_DESTROYING

          public static final java.lang.String TOPIC_DESTROYING

      Topic for Blueprint Container DESTROYING events
      See Also:
        Constant Field Values

    - #### TOPIC_DESTROYED

          public static final java.lang.String TOPIC_DESTROYED

      Topic for Blueprint Container DESTROYED events
      See Also:
        Constant Field Values

    - #### TOPIC_FAILURE

          public static final java.lang.String TOPIC_FAILURE

      Topic for Blueprint Container FAILURE events
      See Also:
        Constant Field Values

    - #### TOPIC_GRACE_PERIOD

          public static final java.lang.String TOPIC_GRACE_PERIOD

      Topic for Blueprint Container GRACE_PERIOD events
      See Also:
        Constant Field Values

    - #### TOPIC_WAITING

          public static final java.lang.String TOPIC_WAITING

      Topic for Blueprint Container WAITING events
      See Also:
        Constant Field Values